@media (max-width: 1160px) {
    p.lead_wrapp {
        font-size: 1.1rem;
    }

    .blockchain_info_title h3 {
        font-size: 2rem;
    }

    .blockchain_info_title {
        max-width: 233px;
    }

    .blockchain_info_wrapper-blocks {
        max-width: calc(100% - 233px);
    }
}

@media (max-width: 1060px) {
    .halfblocks-content {
        max-width: 100%;
    }
}

@media (max-width: 960px) {
    .blockchain_info_wrapper-blocks {
        max-width: 100%;
    }

    .blockchain_info_title {
        display: none;
    }

    .blockchain_info_links .lead_wrapp {
        white-space: nowrap;
    }

    .blockchain_info_links .lead_wrapp span {
        font-size: 1rem;
    }

    .dropdown-menu-end {
        width: 90vw;
        top: 0px;
        margin-top: 30px;
    }

    .dropdown-menu-end_wrapper {
        width: 100%;
    }

    .dropdown-menu__upper {
        min-width: 90vw;
        max-width: 90vw;
        width: 90vw;
    }

    .page-header {
        height: 60px;
        padding: 0 15px;
    }

    .blocks_mainpage_wrapper-block {
        max-width: calc(50% - 20px);
        flex: 1 0 calc(50% - 20px);
    }

    .blocks_mainpage_wrapper-block:last-child {
        display: none;
    }

    .main_page-blocks-left {
        width: 100%;
        max-width: 100%;
        flex: 1 0 100%;
    }

    .main_page-blocks-right {
        width: 100%;
        max-width: 100%;
        flex: 1 0 100%;
        padding: 0rem 0 2rem;
    }

    .main_page-blocks_wrapper {
        flex-direction: column-reverse;
    }

    .main_hello-left {
        max-width: 70%;
        flex: 1 0 70%;
        z-index: 10;
    }

    .main_hello-right {
        position: absolute;
        z-index: 2;
        opacity: .6;
    }

    .main_hello-right svg {
        width: 95%;
        left: inherit;
        right: -6%;
    }

    .contact__block-info {
        flex: 1 0 40%;
        max-width: 480px;
    }

    .contact__block-info h5 {
        font-size: 2.2rem;
    }

    .contact__block {
        max-width: 449px;
        padding: 1rem 2.5rem;
    }
}

@media (max-width: 768px) {
    .container, .container-sm {
        max-width: 100%;
        width: 100%;
        padding: 4%;
        padding: 2rem 30px;
    }

    .main_aboutblocks {
        padding: calc(5rem + 5vh) 30px calc(2rem + 1vh);
    }

    .blockchain_info h2, .main_aboutblocks h2 {
        font-size: 3rem;
        padding: 0 20px;
    }

    .main_hello-right svg {
        width: 123%;
        left: inherit;
        right: 0;
    }

    .main_hello-left {
        max-width: 88%;
        flex: 1 0 88%;
    }

    .contact__block-info {
        flex: 1 0 100%;
        max-width: 460px;
        margin: 1rem auto;
        padding: 1rem 35px;
    }

    .contact__block-info h5 {
        font-size: 2.2rem;
    }

    .contact__block-formwrapper {
        flex: 1 0 100%;
        max-width: 100%;
        width: 100%;
    }

    .contact__block {
        max-width: 449px;
        padding: 1rem 2.5rem;
        position: relative;
        width: 100%;
        max-width: 100%;
    }

    .contact__block-inner.container {
        flex-direction: column;
        background: #09ff6f;
        padding: 2rem 30px 5rem;
    }

    .contact__block-line {
        background: transparent;
    }

    .contact__block-wrapper {
        height: auto;
        padding-top: 4rem;
    }

    .footer_wrapper-columns:first-child, .footer_wrapper-columns {
        max-width: 96%;
        flex: 1 0 100%;
        padding: 15px;
    }

    .footer_wrapper-columns:first-child {
        flex-direction: row;
        align-items: center;
        justify-content: flex-start;
        border: none;
        margin-bottom: 1.5rem;
    }

    .footer_wrapper {
        flex-direction: column;
        padding: 5px 22px 1em!important;
    }

    .footer_wrapper .logo {
        margin-top: 0;
        margin: 0;
        justify-content: flex-start;
    }

    .footer_wrapper-columns a.follow-links {
        margin: 0 7px;
    }

    .footer_wrapper-columns h6 {
        margin-bottom: 1rem;
        border-bottom: 1px solid #4e555d;
        width: 100%;
        padding-bottom: 1rem;
        font-size: 1.1rem;
    }

    .footer_wrapper-columns a {
        width: 100%;
        font-size: .91rem;
    }

    .footer_wrapper .logo svg {
        max-width: 40px;
    }

    .footer_wrapper .logo span {
        font-size: 1.32rem;
    }

    .inner_up_info .upper-datas {
        flex-direction: column-reverse;
        align-items: flex-start;
        justify-content: flex-start;
    }

    .blocks_info_button {
        margin-bottom: 1.85rem;
        padding: 8px 36px;
        max-width: max-content;
    }

    .transaction_wrapper .rowes {
        display: flex;
        flex-direction: column;
    }

    .inner_up_info .datas {
        align-items: center;
    }

    .result_detalis_bottom .inner_wrp {
        margin-bottom: 2rem!important;
    }

    .transaction_wrapper_iner {
        padding: 2px 0;
    }

    .transaction_wrapper_arrow {
        width: 100% !important;
        padding: 20px 0;
        display: flex;
        align-items: center;
        justify-content: center;
    }

    .direction-transaction_wrapper_arrow {
        height: auto !important;
        margin: 0;
        padding: 0;
    }

    .transaction_wrapper_arrow svg {
        transform: rotate(90deg);
    }

    .page-footer-wrapper {
        padding: 20px 15px;
        display: flex;
        flex-direction: column;
        align-items: center;
    }

    .footer-column {
        width: 100%;
        align-items: center;
        justify-content: center;
        margin: 5px 0 8px;
    }

    .section_title h2 {
        width: 60%;
    }

    .blockchain_info .blockchain_info_wrapper {
        flex-direction: column;
        justify-content: flex-start;
        flex-wrap: nowrap;
        align-items: center;
    }

    .show_moretub_wrapper.more_mainpage {
        max-width: 540px;
        margin: 20px auto 10px;
    }

    .blockchain_info .blockchain_info_wrapper .blockchain_info_links {
        margin: .7rem 0;
        flex: 1 0 100%;
        max-width: 540px;
        max-height: 135px;
    }

    .inner_up_info .datas_wrapper {
        flex-direction: column;
    }

    .inner_up_info .datas_wrapper .datas_qr {
        margin: 0 auto;
        max-width: 181px;
        height: 181px;
    }

    .tab-details-wrapper .row_info .title_info {
        padding-left: 35px;
    }

    .datas_wrapper .datas.addr-miner {
        padding: 1rem 0;
    }

    .page-header .container {
        padding: 0;
    }
}

@media (max-width: 658px) {
    .tx-total_cm,
    .tx-total {
        margin-top: .1rem;
    }

    .result_detalis_bottom .tx-wrapper {
        margin: 14px 0;
        padding: 5px 0 10px;
        flex-wrap: wrap;
        position: relative;
    }

    .tx-label {
        width: 100%;
        max-width: 35px;
        margin: 5px 0;
        display: inline-block;
        padding: 0 12px 0 4px;
        position: absolute;
    }
    .tx-label .d-sm-inline{
        font-size: 13px;
    }
    .tx-content {
        align-items: flex-start;
        max-width: 100%;
        padding-left: 37px;
        padding-top: 4px;
    }
    .tx-io-desc.truncated-tx-io{
        padding-left: 37px;
    }
    .result_detalis_bottom .tx-content a{
        font-size: .8rem;
    }  
    .tx-io-desc {
        flex: 60% 0 1;
        max-width: 60%;
    }

    .result_detalis_bottom .card-header.monospace a {
        font-size: 14px;
    }
    .tx-io-desc .tx_prev{
        margin-top: 1rem;
    }
    .tx-io-desc .tx_prev a{
        font-size: .879rem;
    }
    .tx-io-value {
        flex: 40% 0 1;
        text-align: right;
        max-width: 40%;
        padding-right: 20px;
        padding-top: 3px;
        font-size: .9rem;
    }

    .blocks_mainpage_wrapper-block {
        height: 255px;
    }

    .dropdown-menu__btn {
        height: 33px;
    }

    .upper-row__wrapper {
        max-width: 200px;
    }

    .dropdown-menu-end {
        width: 100vw;
        min-width: 100vw;
        top: 0px;
        margin-top: 30px;
    }

    .dropdown-menu-end_wrapper {
        width: 100%;
    }

    .dropdown-menu__upper {
        flex-flow: wrap;
        flex-direction: column;
        justify-content: flex-start;
        padding: 30px 20px 18px;
        border: none;
    }

    .dropdown-menu__down {
        border-top: 1px solid #4e555d;
    }

    .dropdown-menu__upper-row {
        margin-bottom: 19px;
        max-width: 100%;
        align-items: flex-start;
    }

    .dropdown-menu__left {
        display: none;
    }

    .dropdown-menu__column {
        width: 100%;
        max-width: 50%;
        flex: 1 0 50%;
        padding: 10px 30px;
    }

    .tab-details-wrapper .row_info {
        border-top: 1px solid #46464e;
        min-height: 51px;
        padding: 0 1.125rem;
        display: table;
        table-layout: fixed;
        width: 100%;
    }

    .title_row {
        display: table-cell;
        vertical-align: middle;
    }

    .tab-details-wrapper .row_info .title_info {
        text-align: right;
        word-break: break-word;
        display: table-cell;
        vertical-align: middle;
        padding-left: 5px;
    }

    .tab-details-wrapper .row_info .title_info .text-tiny.text-tight-spacing.fw-light, .tab-details-wrapper .row_info .title_info .text-muted.fw-light {
        white-space: nowrap;
    }

    .tab-details-wrapper .row_info .title_row {
        font-size: 14px;
    }

    .tab-details-wrapper .row_info .title_info, .result_detalis .title_info a.links, .tab-details-wrapper .row_info .title_info span {
        font-size: 15px;
    }

    .inner_up_info {
        margin: 1.75rem 0 -.15rem;
    }

    .container__small .page-nav-tabs {
        list-style: none;
        margin: 0 0 .95rem;
        display: inline-flex;
        padding: 0;
        position: relative;
        left: 0;
        top: 0;
        transform: none;
        z-index: 10;
    }

    .container__small .page-nav-tabs .page-tab a .bi-chevron-bar-down {
        transform: rotate(0deg) translateY(3px);
    }

    .tab-details-wrapper .row_info .text-infocopy__big {
        top: 0;
        padding: 5px;
    }

    .bg-main {
        padding-top: .25rem !important;
    }

    .result_detalis {
        margin-top: 1.4rem;
    }
    .result_detalis_bottom .tx-content a.tx_more span{
        height: 19px;
    }
}

@media (max-width: 589px) {
    .card-header__upper-amount_right{
        flex: 1;
        max-width: max-content;
        font-size: 13px;
        align-items: center;
    }
    .card-header__upper-amount{
        font-size: 13px;
    }
 
    .footer_wrapper .logo span.site-title {
        display: block;
    }

    .main_hello-right svg {
        width: 190%;
        right: -30%;
        top: -24%;
    }

    span.site-title {
        display: none;
    }

    .nav_links {
        max-width: calc(100% - 55px);
    }

    .head-search_wrapper .form-inline {
        max-width: 100%;
    }

    .head-search_wrapper {
        margin: 0 20px 0 0;
        width: 100%;
        max-width: 100%;
    }

    .navbar-brand {
        margin-right: 0.41rem;
    }

    .nav-pills .nav-item {
        margin: 0.7rem 0.5rem;
        width: calc(50% - 1rem);
    }

    .nav-pills .nav-item:last-child {
        width: 100%;
    }

    .nav-pills .nav-link {
        width: 100%;
    }

    #time-range-buttons, .block-selections-buttons {
        margin: 0.7rem 0rem;
        flex-wrap: wrap;
    }

    .btn-group {
        flex-wrap: wrap;
    }

    .btn-group a {
        margin: 0.2rem 0.25rem;
    }

    .datas_wrapper .datas_credentials {
        display: flex;
        flex-wrap: wrap;
        flex-direction: row-reverse;
        justify-content: flex-end;
        align-items: stretch;
    }

    .datas_wrapper .datas_credentials>div {
        flex: 1 0 50%;
        width: 100%;
        max-width: max-content;
        display: flex;
        flex-direction: column;
        margin: 0 12px;
    }

    .datas_wrapper .datas_credentials i, .datas_wrapper .datas_credentials .isye {
        margin: 4px 0;
    }

    .container__small {
        padding: 0 20px;
    }

    .blocks_mainpage_wrapper-block {
        flex: 1 0 100%;
        max-width: 100%;
    }

    .dropdown-menu__column .dropdown-item {
        margin-bottom: 11px;
    }

    .section_title {
        flex-direction: column;
    }

    .section_title h2 {
        width: 100%;
    }

    .section_title h3 {
        margin-bottom: 1rem!important;
    }

    .section_title .text-right {
        width: 100%;
    }

    .tx-content {
        flex-direction: column;
        padding-left: 27px;
    }

    .tx-io-value, .tx-io-desc {
        flex: 100% 0 1;
        max-width: 100%;
        text-align: left;
        padding: 1px 14px;
        min-height: inherit;
    }

    .tx-io-value {
        margin-top: .425rem;
        display: flex;
        font-size: 15px;
        align-items: center;
        flex-direction: row;
        justify-content: space-between;
        color: #fff;
        font-weight: 500;
    }

    .transaction_wrapper_iner .text-decoration-none span {
        color: #fff;
    }
    .tx-total_cm,
    .tx-total {
        font-size: 1.05rem;
        width: 100%;
        text-align: right;
        margin: 0;
        max-width: max-content;
        padding: 0 0 0 14px;
        font-family: 'Inconsolata', monospace;
    }

    .transaction_wrapper_fullamunt {
        margin: 1.24rem 0 .6rem;
    }

    .transaction_wrapper {
        padding: 5px 0;
    }

    .tab-details-wrapper .row_info .title_info.wrap_text .copytext_button {
        top: 9px;
        margin-left: 7px;
    }

    .tab-details-wrapper .row_info .title_info.chains {
        flex-direction: column;
        align-items: flex-end;
    }

    .tab-details-wrapper .row_info .title_info.chains>div {
        width: 100%;
        text-align: right;
    }

    .inner_up_info .datas h3, .inner_up_info .datas h1 {
        font-size: 1.34rem;
    }

    .inner_up_info .datas:first-child {
        margin-bottom: 17px;
    }

    .card-header__upper {
        padding: 5px 0;
        margin: 3px 0 7px;
    }

    .tab-details-wrapper .row_info .title_info, .result_detalis .title_info a.links, .tab-details-wrapper .row_info .title_info span {
        font-size: 14px;
    }
 
    .card-header__upper-amount_left {
        margin-right: .45rem;
        text-align: left;
        display: inline-flex;
        flex: 1;
        max-width: max-content;
    }
    .card-header__upper-amount_left span{
        margin-right: 4px;
    }
}

@media (max-width: 492px) {
    .card-header__upper-amount_left{
        margin: 0 0 4px 0;
    }
    .card-header__upper{
        flex-direction: column;
        align-items: flex-end;
    }
    .footer_wrapper-columns:first-child {
        flex-direction: column;
    }

    .footer_wrapper .socials {
        justify-content: flex-start;
        margin-top: 1.45rem;
    }

    .dropdown-menu__column {
        width: 100%;
        max-width: 100%;
        flex: 1 0 100%;
        padding: 10px 30px;
    }

    .tab-details-wrapper .row_info span:nth-child(5) {
        width: 100%;
    }

    .blockchain_info_links .lead_wrapp span {
        font-size: .9rem!important;
    }

    .blockchain_info_links .lead_wrapp span.text-tiny {
        font-size: .75rem!important;
    }

    .blockchain_info_links .lead_wrapp i {
        font-size: 13px;
    }
}

@media (max-width: 412px){
    .result_detalis_bottom .tx-content a{
        font-size: .9rem;
    }
    
    .tx-io-desc .tx_prev a {
        font-size: .879rem;
        display: flex;
        align-items: flex-start;
    }
}
